package com.ruoyi.project.patrol.emergency.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.emergency.mapper.TEmergencyPagaMapper;
import com.ruoyi.project.patrol.emergency.domain.TEmergencyPaga;
import com.ruoyi.project.patrol.emergency.service.ITEmergencyPagaService;

/**
 * PAGA系统Service业务层处理
 * 
 * @author admin
 * @date 2023-11-02
 */
@Service
public class TEmergencyPagaServiceImpl implements ITEmergencyPagaService 
{
    @Autowired
    private TEmergencyPagaMapper tEmergencyPagaMapper;

    /**
     * 查询PAGA系统
     * 
     * @param id PAGA系统主键
     * @return PAGA系统
     */
    @Override
    public TEmergencyPaga selectTEmergencyPagaById(Long id)
    {
        return tEmergencyPagaMapper.selectTEmergencyPagaById(id);
    }

    /**
     * 查询PAGA系统列表
     * 
     * @param tEmergencyPaga PAGA系统
     * @return PAGA系统
     */
    @Override
    public List<TEmergencyPaga> selectTEmergencyPagaList(TEmergencyPaga tEmergencyPaga)
    {
        return tEmergencyPagaMapper.selectTEmergencyPagaList(tEmergencyPaga);
    }

    /**
     * 新增PAGA系统
     * 
     * @param tEmergencyPaga PAGA系统
     * @return 结果
     */
    @Override
    public int insertTEmergencyPaga(TEmergencyPaga tEmergencyPaga)
    {
        return tEmergencyPagaMapper.insertTEmergencyPaga(tEmergencyPaga);
    }

    /**
     * 修改PAGA系统
     * 
     * @param tEmergencyPaga PAGA系统
     * @return 结果
     */
    @Override
    public int updateTEmergencyPaga(TEmergencyPaga tEmergencyPaga)
    {
        return tEmergencyPagaMapper.updateTEmergencyPaga(tEmergencyPaga);
    }

    /**
     * 批量删除PAGA系统
     * 
     * @param ids 需要删除的PAGA系统主键
     * @return 结果
     */
    @Override
    public int deleteTEmergencyPagaByIds(Long[] ids)
    {
        return tEmergencyPagaMapper.deleteTEmergencyPagaByIds(ids);
    }

    /**
     * 删除PAGA系统信息
     * 
     * @param id PAGA系统主键
     * @return 结果
     */
    @Override
    public int deleteTEmergencyPagaById(Long id)
    {
        return tEmergencyPagaMapper.deleteTEmergencyPagaById(id);
    }
}
